<?php
/**
 * Returns a form/table cart.
 *
 * @param array $variables
 *   An associative array containing:
 *   - form: The form to be woven into the HTML table.
 *
 * @ingroup themeable
 */
function theme_freecommerce_cart($variables) {
  $form = $variables['form'];
  $rows = array();
  if (isset($_SESSION['freecommerce_cart'])) {
    foreach ($_SESSION['freecommerce_cart'] as $key => $product) {
      $row = array(
        drupal_render($form['product'][$key]),
        drupal_render($form['quantity'][$key]),
        t('Free'),
        drupal_render($form['remove'][$key]),
      );
      $rows[] = $row;
    }
  }
  if (!empty($rows)) {
    drupal_add_css(drupal_get_path('module', 'freecommerce') . '/freecommerce_cart.css');
    $header = array(
      array(
        'data' => t('Product'),
      ),
      array(
        'data' => t('Quantity'),
      ),
      array(
        'data' => t('Price'),
      ),
      array(
        'data' => t('Remove'),
      ),
    );
    $rows[] = array(
      array(
        'data' => drupal_render($form['checkout']),
      ),
      array(
        'data' => '&nbsp;'
      ),
      array(
        'data' => drupal_render($form['update']),
        'colspan' => 2,
      ),
    );
    $attrs = array('class' => array('freecommerce-table'));

    $vars['header'] = $header;
    $vars['rows'] = $rows;
    $vars['attributes'] = $attrs;

    $output = theme('table', $vars);
    $output .= drupal_render_children($form);
    return $output;
  }
  else {
    return t('You have nothing in your cart.');
  }
}
